$(function(){
var listWidget = $("#list").dxList({
dataSource: products,
height: 400,
searchEnabled: true,
searchExpr: "Name",
itemTemplate: function(data) {
return $("<div>").text(data.Name);
}
}).dxList("instance");
$("#searchMode").dxSelectBox({
dataSource: ["contains", "startswith"],
value: "contains",
onValueChanged: function(data) {
listWidget.option("searchMode", data.value);
}
}).dxSelectBox("instance");
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.4/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="list"></div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Search mode</span>
<div id="searchMode"></div>
</div>
</div>
</div>
</body>
</html>
.dx-list-item-content > div {
padding: 5px;
font-size: 15px;
}
.options {
margin-top: 20px;
padding: 20px;
background: rgba(191, 191, 191, 0.15);
}
.options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 350px;
width: 100%;
}
var products = [{
"ID": 1,
"Name": "HD Video Player",
"Price": 330,
"Current_Inventory": 225,
"Backorder": 0,
"Manufacturing": 10,
"Category": "Video Players",
"ImageSrc": "../../../../images/products/1.png"
}, {
"ID": 3,
"Name": "SuperPlasma 50",
"Price": 2400,
"Current_Inventory": 0,
"Backorder": 0,
"Manufacturing": 0,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/3.png"
}, {
"ID": 4,
"Name": "SuperLED 50",
"Price": 1600,
"Current_Inventory": 77,
"Backorder": 0,
"Manufacturing": 55,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/4.png"
}, {
"ID": 5,
"Name": "SuperLED 42",
"Price": 1450,
"Current_Inventory": 445,
"Backorder": 0,
"Manufacturing": 0,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/5.png"
}, {
"ID": 6,
"Name": "SuperLCD 55",
"Price": 1350,
"Current_Inventory": 345,
"Backorder": 0,
"Manufacturing": 5,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/6.png"
}, {
"ID": 7,
"Name": "SuperLCD 42",
"Price": 1200,
"Current_Inventory": 210,
"Backorder": 0,
"Manufacturing": 20,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/7.png"
}, {
"ID": 8,
"Name": "SuperPlasma 65",
"Price": 3500,
"Current_Inventory": 0,
"Backorder": 0,
"Manufacturing": 0,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/8.png"
}, {
"ID": 9,
"Name": "SuperLCD 70",
"Price": 4000,
"Current_Inventory": 95,
"Backorder": 0,
"Manufacturing": 5,
"Category": "Televisions",
"ImageSrc": "../../../../images/products/9.png"
}, {
"ID": 10,
"Name": "DesktopLED 21",
"Price": 175,
"Current_Inventory": null,
"Backorder": 425,
"Manufacturing": 75,
"Category": "Monitors",
"ImageSrc": "../../../../images/products/10.png"
}, {
"ID": 12,
"Name": "DesktopLCD 21",
"Price": 170,
"Current_Inventory": 210,
"Backorder": 0,
"Manufacturing": 60,
"Category": "Monitors",
"ImageSrc": "../../../../images/products/12.png"
}, {
"ID": 13,
"Name": "DesktopLCD 19",
"Price": 160,
"Current_Inventory": 150,
"Backorder": 0,
"Manufacturing": 210,
"Category": "Monitors",
"ImageSrc": "../../../../images/products/13.png"
}, {
"ID": 14,
"Name": "Projector Plus",
"Price": 550,
"Current_Inventory": null,
"Backorder": 55,
"Manufacturing": 10,
"Category": "Projectors",
"ImageSrc": "../../../../images/products/14.png"
}, {
"ID": 15,
"Name": "Projector PlusHD",
"Price": 750,
"Current_Inventory": 110,
"Backorder": 0,
"Manufacturing": 90,
"Category": "Projectors",
"ImageSrc": "../../../../images/products/15.png"
}, {
"ID": 17,
"Name": "ExcelRemote IR",
"Price": 150,
"Current_Inventory": 650,
"Backorder": 0,
"Manufacturing": 190,
"Category": "Automation",
"ImageSrc": "../../../../images/products/17.png"
}, {
"ID": 18,
"Name": "ExcelRemote BT",
"Price": 180,
"Current_Inventory": 310,
"Backorder": 0,
"Manufacturing": 0,
"Category": "Automation",
"ImageSrc": "../../../../images/products/18.png"
}, {
"ID": 19,
"Name": "ExcelRemote IP",
"Price": 200,
"Current_Inventory": 0,
"Backorder": 325,
"Manufacturing": 225,
"Category": "Automation",
"ImageSrc": "../../../../images/products/19.png"
}];

<template>
<div>
<div class="list-container">
<DxList
:data-source="products"
:height="400"
:search-enabled="true"
:search-mode="searchMode"
search-expr="Name"
>
<template #item="{ data }">
<div>
<div>{{ data.Name }}</div>
</div>
</template>
</DxList>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Search mode </span>
<DxSelectBox
:items="['contains', 'startsWith', 'equals']"
v-model:value="searchMode"
/>
</div>
</div>
</div>
</template>
<script>
import DxSelectBox from 'devextreme-vue/select-box';
import DxList from 'devextreme-vue/list';
import { products } from './data.js';
export default {
components: {
DxSelectBox,
DxList,
},
data() {
return {
products,
searchMode: 'contains',
};
},
};
</script>
<style>
.dx-list-item-content > div {
padding: 5px;
font-size: 15px;
}
.options {
margin-top: 20px;
padding: 20px;
background: rgba(191, 191, 191, 0.15);
}
.options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 350px;
width: 100%;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const products = [{
ID: 1,
Name: 'HD Video Player',
Price: 330,
Current_Inventory: 225,
Backorder: 0,
Manufacturing: 10,
Category: 'Video Players',
ImageSrc: '../../../../images/products/1.png',
}, {
ID: 3,
Name: 'SuperPlasma 50',
Price: 2400,
Current_Inventory: 0,
Backorder: 0,
Manufacturing: 0,
Category: 'Televisions',
ImageSrc: '../../../../images/products/3.png',
}, {
ID: 4,
Name: 'SuperLED 50',
Price: 1600,
Current_Inventory: 77,
Backorder: 0,
Manufacturing: 55,
Category: 'Televisions',
ImageSrc: '../../../../images/products/4.png',
}, {
ID: 5,
Name: 'SuperLED 42',
Price: 1450,
Current_Inventory: 445,
Backorder: 0,
Manufacturing: 0,
Category: 'Televisions',
ImageSrc: '../../../../images/products/5.png',
}, {
ID: 6,
Name: 'SuperLCD 55',
Price: 1350,
Current_Inventory: 345,
Backorder: 0,
Manufacturing: 5,
Category: 'Televisions',
ImageSrc: '../../../../images/products/6.png',
}, {
ID: 7,
Name: 'SuperLCD 42',
Price: 1200,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 20,
Category: 'Televisions',
ImageSrc: '../../../../images/products/7.png',
}, {
ID: 8,
Name: 'SuperPlasma 65',
Price: 3500,
Current_Inventory: 0,
Backorder: 0,
Manufacturing: 0,
Category: 'Televisions',
ImageSrc: '../../../../images/products/8.png',
}, {
ID: 9,
Name: 'SuperLCD 70',
Price: 4000,
Current_Inventory: 95,
Backorder: 0,
Manufacturing: 5,
Category: 'Televisions',
ImageSrc: '../../../../images/products/9.png',
}, {
ID: 10,
Name: 'DesktopLED 21',
Price: 175,
Current_Inventory: null,
Backorder: 425,
Manufacturing: 75,
Category: 'Monitors',
ImageSrc: '../../../../images/products/10.png',
}, {
ID: 12,
Name: 'DesktopLCD 21',
Price: 170,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 60,
Category: 'Monitors',
ImageSrc: '../../../../images/products/12.png',
}, {
ID: 13,
Name: 'DesktopLCD 19',
Price: 160,
Current_Inventory: 150,
Backorder: 0,
Manufacturing: 210,
Category: 'Monitors',
ImageSrc: '../../../../images/products/13.png',
}, {
ID: 14,
Name: 'Projector Plus',
Price: 550,
Current_Inventory: null,
Backorder: 55,
Manufacturing: 10,
Category: 'Projectors',
ImageSrc: '../../../../images/products/14.png',
}, {
ID: 15,
Name: 'Projector PlusHD',
Price: 750,
Current_Inventory: 110,
Backorder: 0,
Manufacturing: 90,
Category: 'Projectors',
ImageSrc: '../../../../images/products/15.png',
}, {
ID: 17,
Name: 'ExcelRemote IR',
Price: 150,
Current_Inventory: 650,
Backorder: 0,
Manufacturing: 190,
Category: 'Automation',
ImageSrc: '../../../../images/products/17.png',
}, {
ID: 18,
Name: 'ExcelRemote BT',
Price: 180,
Current_Inventory: 310,
Backorder: 0,
Manufacturing: 0,
Category: 'Automation',
ImageSrc: '../../../../images/products/18.png',
}, {
ID: 19,
Name: 'ExcelRemote IP',
Price: 200,
Current_Inventory: 0,
Backorder: 325,
Manufacturing: 225,
Category: 'Automation',
ImageSrc: '../../../../images/products/19.png',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import SelectBox from 'devextreme-react/select-box';
import List from 'devextreme-react/list';
import { products } from './data.js';
function ItemTemplate(data) {
return <div>{data.Name}</div>;
}
class App extends React.Component {
constructor() {
super();
this.state = {
searchMode: 'contains'
};
this.onSearchModeChange = this.onSearchModeChange.bind(this);
}
onSearchModeChange(args) {
this.setState({
searchMode: args.value
});
}
render() {
return (
<React.Fragment>
<div className="list-container">
<List
dataSource={products}
height={400}
itemRender={ItemTemplate}
searchExpr="Name"
searchEnabled={true}
searchMode={this.state.searchMode} />
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Search mode </span>
<SelectBox
items={['contains', 'startsWith']}
value={this.state.searchMode}
onValueChanged={this.onSearchModeChange} />
</div>
</div>
</React.Fragment>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.dx-list-item-content > div {
padding: 5px;
font-size: 15px;
}
.options {
margin-top: 20px;
padding: 20px;
background: rgba(191, 191, 191, 0.15);
}
.options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 350px;
width: 100%;
}
export const products = [{
'ID': 1,
'Name': 'HD Video Player',
'Price': 330,
'Current_Inventory': 225,
'Backorder': 0,
'Manufacturing': 10,
'Category': 'Video Players',
'ImageSrc': '../../../../images/products/1.png'
}, {
'ID': 3,
'Name': 'SuperPlasma 50',
'Price': 2400,
'Current_Inventory': 0,
'Backorder': 0,
'Manufacturing': 0,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/3.png'
}, {
'ID': 4,
'Name': 'SuperLED 50',
'Price': 1600,
'Current_Inventory': 77,
'Backorder': 0,
'Manufacturing': 55,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/4.png'
}, {
'ID': 5,
'Name': 'SuperLED 42',
'Price': 1450,
'Current_Inventory': 445,
'Backorder': 0,
'Manufacturing': 0,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/5.png'
}, {
'ID': 6,
'Name': 'SuperLCD 55',
'Price': 1350,
'Current_Inventory': 345,
'Backorder': 0,
'Manufacturing': 5,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/6.png'
}, {
'ID': 7,
'Name': 'SuperLCD 42',
'Price': 1200,
'Current_Inventory': 210,
'Backorder': 0,
'Manufacturing': 20,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/7.png'
}, {
'ID': 8,
'Name': 'SuperPlasma 65',
'Price': 3500,
'Current_Inventory': 0,
'Backorder': 0,
'Manufacturing': 0,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/8.png'
}, {
'ID': 9,
'Name': 'SuperLCD 70',
'Price': 4000,
'Current_Inventory': 95,
'Backorder': 0,
'Manufacturing': 5,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/9.png'
}, {
'ID': 10,
'Name': 'DesktopLED 21',
'Price': 175,
'Current_Inventory': null,
'Backorder': 425,
'Manufacturing': 75,
'Category': 'Monitors',
'ImageSrc': '../../../../images/products/10.png'
}, {
'ID': 12,
'Name': 'DesktopLCD 21',
'Price': 170,
'Current_Inventory': 210,
'Backorder': 0,
'Manufacturing': 60,
'Category': 'Monitors',
'ImageSrc': '../../../../images/products/12.png'
}, {
'ID': 13,
'Name': 'DesktopLCD 19',
'Price': 160,
'Current_Inventory': 150,
'Backorder': 0,
'Manufacturing': 210,
'Category': 'Monitors',
'ImageSrc': '../../../../images/products/13.png'
}, {
'ID': 14,
'Name': 'Projector Plus',
'Price': 550,
'Current_Inventory': null,
'Backorder': 55,
'Manufacturing': 10,
'Category': 'Projectors',
'ImageSrc': '../../../../images/products/14.png'
}, {
'ID': 15,
'Name': 'Projector PlusHD',
'Price': 750,
'Current_Inventory': 110,
'Backorder': 0,
'Manufacturing': 90,
'Category': 'Projectors',
'ImageSrc': '../../../../images/products/15.png'
}, {
'ID': 17,
'Name': 'ExcelRemote IR',
'Price': 150,
'Current_Inventory': 650,
'Backorder': 0,
'Manufacturing': 190,
'Category': 'Automation',
'ImageSrc': '../../../../images/products/17.png'
}, {
'ID': 18,
'Name': 'ExcelRemote BT',
'Price': 180,
'Current_Inventory': 310,
'Backorder': 0,
'Manufacturing': 0,
'Category': 'Automation',
'ImageSrc': '../../../../images/products/18.png'
}, {
'ID': 19,
'Name': 'ExcelRemote IP',
'Price': 200,
'Current_Inventory': 0,
'Backorder': 325,
'Manufacturing': 225,
'Category': 'Automation',
'ImageSrc': '../../../../images/products/19.png'
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-react': 'npm:devextreme-react@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<div class="list-container">
<dx-list
#list
[dataSource]="products"
[height]="400"
[searchEnabled]="true"
searchExpr="Name"
searchMode="contains">
<div *dxTemplate="let data of 'item'">
<div>{{data.Name}}</div>
</div>
</dx-list>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Search mode</span>
<dx-select-box
#searchMode
[items]="['contains', 'startsWith']"
[(value)]="list.searchMode">
</dx-select-box>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSelectBoxModule, DxListModule, DxTemplateModule } from 'devextreme-angular';
import DataSource from 'devextreme/data/data_source';
import { Product, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [ Service ],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true
})
export class AppComponent {
products: Product[];
constructor(service: Service) {
this.products = service.getProducts();
}
}
@NgModule({
imports: [
BrowserModule,
DxSelectBoxModule,
DxListModule,
DxTemplateModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .dx-list-item-content > div {
padding: 5px;
font-size: 15px;
}
::ng-deep .options {
margin-top: 20px;
padding: 20px;
background: rgba(191, 191, 191, 0.15);
}
::ng-deep .options .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option {
margin-top: 10px;
}
::ng-deep .option > span {
margin-right: 10px;
}
::ng-deep .option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
max-width: 350px;
width: 100%;
}
import { Injectable } from '@angular/core';
export class Product {
ID: number;
Name: string;
Price: number;
Current_Inventory: number;
Backorder: number;
Manufacturing: number;
Category: string;
ImageSrc: string;
}
let products: Product[] = [{
ID: 1,
Name: "HD Video Player",
Price: 330,
Current_Inventory: 225,
Backorder: 0,
Manufacturing: 10,
Category: "Video Players",
ImageSrc: "../../../../images/products/1.png"
}, {
ID: 3,
Name: "SuperPlasma 50",
Price: 2400,
Current_Inventory: 0,
Backorder: 0,
Manufacturing: 0,
Category: "Televisions",
ImageSrc: "../../../../images/products/3.png"
}, {
ID: 4,
Name: "SuperLED 50",
Price: 1600,
Current_Inventory: 77,
Backorder: 0,
Manufacturing: 55,
Category: "Televisions",
ImageSrc: "../../../../images/products/4.png"
}, {
ID: 5,
Name: "SuperLED 42",
Price: 1450,
Current_Inventory: 445,
Backorder: 0,
Manufacturing: 0,
Category: "Televisions",
ImageSrc: "../../../../images/products/5.png"
}, {
ID: 6,
Name: "SuperLCD 55",
Price: 1350,
Current_Inventory: 345,
Backorder: 0,
Manufacturing: 5,
Category: "Televisions",
ImageSrc: "../../../../images/products/6.png"
}, {
ID: 7,
Name: "SuperLCD 42",
Price: 1200,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 20,
Category: "Televisions",
ImageSrc: "../../../../images/products/7.png"
}, {
ID: 8,
Name: "SuperPlasma 65",
Price: 3500,
Current_Inventory: 0,
Backorder: 0,
Manufacturing: 0,
Category: "Televisions",
ImageSrc: "../../../../images/products/8.png"
}, {
ID: 9,
Name: "SuperLCD 70",
Price: 4000,
Current_Inventory: 95,
Backorder: 0,
Manufacturing: 5,
Category: "Televisions",
ImageSrc: "../../../../images/products/9.png"
}, {
ID: 10,
Name: "DesktopLED 21",
Price: 175,
Current_Inventory: null,
Backorder: 425,
Manufacturing: 75,
Category: "Monitors",
ImageSrc: "../../../../images/products/10.png"
}, {
ID: 12,
Name: "DesktopLCD 21",
Price: 170,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 60,
Category: "Monitors",
ImageSrc: "../../../../images/products/12.png"
}, {
ID: 13,
Name: "DesktopLCD 19",
Price: 160,
Current_Inventory: 150,
Backorder: 0,
Manufacturing: 210,
Category: "Monitors",
ImageSrc: "../../../../images/products/13.png"
}, {
ID: 14,
Name: "Projector Plus",
Price: 550,
Current_Inventory: null,
Backorder: 55,
Manufacturing: 10,
Category: "Projectors",
ImageSrc: "../../../../images/products/14.png"
}, {
ID: 15,
Name: "Projector PlusHD",
Price: 750,
Current_Inventory: 110,
Backorder: 0,
Manufacturing: 90,
Category: "Projectors",
ImageSrc: "../../../../images/products/15.png"
}, {
ID: 17,
Name: "ExcelRemote IR",
Price: 150,
Current_Inventory: 650,
Backorder: 0,
Manufacturing: 190,
Category: "Automation",
ImageSrc: "../../../../images/products/17.png"
}, {
ID: 18,
Name: "ExcelRemote BT",
Price: 180,
Current_Inventory: 310,
Backorder: 0,
Manufacturing: 0,
Category: "Automation",
ImageSrc: "../../../../images/products/18.png"
}, {
ID: 19,
Name: "ExcelRemote IP",
Price: 200,
Current_Inventory: 0,
Backorder: 325,
Manufacturing: 225,
Category: "Automation",
ImageSrc: "../../../../images/products/19.png"
}];
@Injectable()
export class Service {
getProducts() : Product[] {
return products;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "commonjs",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.4.5/lib/typescript.js',
'@angular/core': 'npm:@angular/core@8.0.0/bundles/core.umd.js',
'@angular/common': 'npm:@angular/common@8.0.0/bundles/common.umd.js',
'@angular/compiler': 'npm:@angular/compiler@8.0.0/bundles/compiler.umd.js',
'@angular/platform-browser': 'npm:@angular/platform-browser@8.0.0/bundles/platform-browser.umd.js',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@8.0.0/bundles/platform-browser-dynamic.umd.js',
'@angular/router': 'npm:@angular/router@8.0.0/bundles/router.umd.js',
'@angular/forms': 'npm:@angular/forms@8.0.0/bundles/forms.umd.js',
'@angular/common/http': 'npm:@angular/common@8.0.0/bundles/common-http.umd.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rxjs/operators': 'npm:rxjs@6.3.3/operators',
'devextreme': 'npm:devextreme@19.2',
'jszip': 'npm:jszip@3.1.3/dist/jszip.min.js',
'quill': 'npm:quill@1.3.7/dist/quill.js',
'devexpress-diagram': 'npm:devexpress-diagram',
'devexpress-gantt': 'npm:devexpress-gantt',
'devextreme-angular': 'npm:devextreme-angular@19.2'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'rxjs': { main: 'index.js', defaultExtension: 'js' },
'rxjs/operators': { main: 'index.js', defaultExtension: 'js' },
'devextreme-angular': {
main: 'index.js',
defaultExtension: 'js'
}
}
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.6.25/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>